# coding: utf-8

"""
    VMware Aria Automation Assembler Blueprint API

    A multi-cloud Blueprint API for VMware Aria Automation Services  This page describes the RESTful APIs for Blueprint. The APIs facilitate CRUD operations on the various resources and entities used throughout Blueprint (Blueprints, Blueprint Terraform Integrations , PropertyGroups , etc.) and allow operations on them (creating a Blueprint, creating a Property group, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Blueprint entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/blueprint/api/blueprints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/blueprint/api/blueprints?$top=10&$skip=2```   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse20018(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'supported_apis': 'list[BlueprintAboutSupportedApis]',
        'latest_api_version': 'str'
    }

    attribute_map = {
        'supported_apis': 'supportedApis',
        'latest_api_version': 'latestApiVersion'
    }

    def __init__(self, supported_apis=None, latest_api_version=None):  # noqa: E501
        """InlineResponse20018 - a model defined in Swagger"""  # noqa: E501
        self._supported_apis = None
        self._latest_api_version = None
        self.discriminator = None
        if supported_apis is not None:
            self.supported_apis = supported_apis
        if latest_api_version is not None:
            self.latest_api_version = latest_api_version

    @property
    def supported_apis(self):
        """Gets the supported_apis of this InlineResponse20018.  # noqa: E501

        Supported API's  # noqa: E501

        :return: The supported_apis of this InlineResponse20018.  # noqa: E501
        :rtype: list[BlueprintAboutSupportedApis]
        """
        return self._supported_apis

    @supported_apis.setter
    def supported_apis(self, supported_apis):
        """Sets the supported_apis of this InlineResponse20018.

        Supported API's  # noqa: E501

        :param supported_apis: The supported_apis of this InlineResponse20018.  # noqa: E501
        :type: list[BlueprintAboutSupportedApis]
        """

        self._supported_apis = supported_apis

    @property
    def latest_api_version(self):
        """Gets the latest_api_version of this InlineResponse20018.  # noqa: E501

        Latest API Version  # noqa: E501

        :return: The latest_api_version of this InlineResponse20018.  # noqa: E501
        :rtype: str
        """
        return self._latest_api_version

    @latest_api_version.setter
    def latest_api_version(self, latest_api_version):
        """Sets the latest_api_version of this InlineResponse20018.

        Latest API Version  # noqa: E501

        :param latest_api_version: The latest_api_version of this InlineResponse20018.  # noqa: E501
        :type: str
        """

        self._latest_api_version = latest_api_version

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse20018, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse20018):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
